Skip to main content
GET
Returns a specified event. This endpoint returns the same event that would be sent to a webhook, but it enables you to retrieve an event that already took place. Events older than 90 days are not returned. You must include at least one request parameter.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

device_id
string<uuid>

Unique identifier for the device that triggered the event that you want to get.

event_id
string<uuid>

Unique identifier for the event that you want to get.

event_type
string

Type of the event that you want to get.

Response

200 - application/json

OK

event
object
required

See the event object.